%define major 3
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Name:		openconnect
Version:	6.00
Release:	%mkrel 4
Summary:	Open client for Cisco AnyConnect VPN
Group:		Networking/Other
License:	LGPLv2+
URL:		http://www.infradead.org/openconnect.html
Source:		ftp://ftp.infradead.org/pub/openconnect/openconnect-%{version}.tar.gz
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:  intltool
# the vpnc connect script is  needed
Requires:       vpnc

%description
This package provides a client for Cisco's "AnyConnect" VPN, which uses
HTTPS and DTLS protocols.

%package -n %{libname}
Summary: Runtime Library needed by %{name}
Group: System/Libraries

%description -n %{libname}
Runtime librairy for %{name}

%package -n %{develname}
Summary: Developements headers for %{name}
Group:	Development/C++
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Conflicts: %{name}-static-devel < 3.10

%description -n %{develname}
Headers files to build packages against %{name}

%prep
%setup -q

%build
%configure2_5x --disable-static --with-vpnc-script=/etc/vpnc/vpnc-script
%make

%install
%makeinstall_std
%find_lang %{name}

# Get rid of .la files
rm -rf %{buildroot}%{_libdir}/libopenconnect.la

%files -f %{name}.lang 
%doc AUTHORS TODO COPYING.LGPL
%{_sbindir}/%{name}
%{_mandir}/man8/*

%files -n %{libname}
%{_libdir}/libopenconnect.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/libopenconnect.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}.h


%changelog
* Mon Jan 11 2016 luigiwalser <luigiwalser> 6.00-4.mga6
+ Revision: 921826
- rebuild for gnutls

* Wed Oct 15 2014 umeabot <umeabot> 6.00-3.mga5
+ Revision: 749307
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.00-2.mga5
+ Revision: 683198
- Mageia 5 Mass Rebuild

* Thu Jul 17 2014 guillomovitch <guillomovitch> 6.00-1.mga5
+ Revision: 653508
- new version 6.00

* Mon Mar 17 2014 guillomovitch <guillomovitch> 5.99-1.mga5
+ Revision: 604337
- new version 5.99

* Tue Jan 14 2014 guillomovitch <guillomovitch> 5.02-1.mga4
+ Revision: 566548
- new version 5.02

* Sat Oct 19 2013 umeabot <umeabot> 5.01-2.mga4
+ Revision: 526619
- Mageia 4 Mass Rebuild

* Thu Jun 06 2013 guillomovitch <guillomovitch> 5.01-1.mga4
+ Revision: 438362
- new version

* Fri May 31 2013 guillomovitch <guillomovitch> 5.00-1.mga4
+ Revision: 433668
- use gnutls instead of openssl
- new version

* Fri Feb 15 2013 luigiwalser <luigiwalser> 4.07-3.mga3
+ Revision: 398610
- add upstream patch to fix CVE-2012-6128

* Sun Jan 13 2013 umeabot <umeabot> 4.07-2.mga3
+ Revision: 361942
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 05 2012 guillomovitch <guillomovitch> 4.07-1.mga3
+ Revision: 288579
- new version

* Fri Aug 10 2012 guillomovitch <guillomovitch> 4.06-1.mga3
+ Revision: 280389
- new version

* Fri Jul 06 2012 guillomovitch <guillomovitch> 4.04-1.mga3
+ Revision: 268422
- new version

* Thu Jul 05 2012 luigiwalser <luigiwalser> 3.15-3.mga3
+ Revision: 267984
- Add patch100 to fix CVE-2012-3291

* Sun Feb 05 2012 guillomovitch <guillomovitch> 3.15-2.mga2
+ Revision: 204664
- requires vpnc for connection script
- large spec cleanup: keep it consistent with other packages

* Mon Nov 28 2011 mikala <mikala> 3.15-1.mga2
+ Revision: 173328
- Open tarball to 3.15

* Mon Nov 21 2011 mikala <mikala> 3.14-1.mga2
+ Revision: 170413
- Update tarball to 3.14
- fix files list

* Wed Oct 05 2011 mikala <mikala> 3.13-1.mga2
+ Revision: 151583
- Update tarball to 3.13
- fix file list
- add missing BR

* Fri Sep 30 2011 mikala <mikala> 3.12-1.mga2
+ Revision: 150589
- Fix group
- Update tarball to 3.12
- switch to pkgconfig() BR
- remove %%clean section

* Sun Jul 17 2011 mikala <mikala> 3.10-1.mga2
+ Revision: 125261
- Update tarball to 3.10 ( see http://www.infradead.org/openconnect.html for changelog)
- Fix files list
- Remove static-devel package
- Remove .la files

* Fri May 06 2011 mikala <mikala> 3.02-1.mga1
+ Revision: 95639
- Remove BuildRoot
- imported package openconnect

